### Method

# Ide LspService set_search_path

#### Declaration

    void
    ide_lsp_service_set_search_path (
      IdeLspService* self,
      const char* const* search_path
    )

#### Description

Sets an alternate search path to use when discovering programs on the host system.

Sets property | `Ide.LspService:search-path`

#### Parameters

`search_path` | An array of `utf8`
| a search path to apply when searching the host or `NULL`.
| The argument can be `NULL`.
| The array must be `NULL`-terminated.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.